// pages/MeetingIndex/MeetingIndex.js
const RECORD_URL = "plugin.conference.api.conference-enrol.get-enrol";
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    list: []
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {

  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {
    this.initData();
    this.getData();
  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  onShareTimeline(){},
  initData() {
    this.setData({
      list: []
    });
  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss(RECORD_URL);
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            list: res.data
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  routerGo(e) {
    let id = e.currentTarget.dataset.ferenceid;
    let mid = e.currentTarget.dataset.memberid;
    wx.navigateTo({
      url: '/packageB/conference/MeetingIndexDetail/MeetingIndexDetail?id=' + id + '&member_id=' + mid
    });
  },
  goExtendList(e) {
    let id = e.currentTarget.dataset.ferenceid;
    let mid = e.currentTarget.dataset.memberid;
    wx.navigateTo({
      url: '/packageB/conference/MeetingExtendList/MeetingExtendList?id=' + id + '&member_id=' + mid
    });
  },
});
